<?php

$prefix = PREFIX;
if(!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

class DatoBaseUpdater {
	public static $versionFromDb = 0;
	public static $lastVersion = 0;

	public static function getVer() {
		self::$versionFromDb = MG::getSetting('lastModVersionConfig');
		if (!self::$versionFromDb) {
			self::$versionFromDb = '3.1.2';
		}
	}

	public static function check($patchVer) {
		@set_time_limit(30);
		self::$lastVersion = $patchVer;

		return version_compare($patchVer, self::$versionFromDb, '>');
	}

	public static function execute($sqlArr) {
		if (is_array($sqlArr)) {
			foreach ($sqlArr as $sql) {
				DB::query($sql);
			}
		}
	}

	public static function createIndexIfNotExist($table, $index) {
		$res = DB::query("SELECT COUNT(1) indexExists FROM INFORMATION_SCHEMA.STATISTICS
			WHERE table_schema=DATABASE() AND table_name='".PREFIX.DB::quote($table, true)."' AND index_name='".DB::quote($index, true)."';");
		$res = DB::fetchAssoc($res);
		if($res['indexExists'] == 0) {
			DB::query('CREATE INDEX '.DB::quote($index, true).' ON '.PREFIX.DB::quote($table, true).'('.DB::quote($index, true).')', true);
		}
	}

	public static function compareFiles($file_a, $file_b) {
		$content_a = file_get_contents($file_a);
		$content_b = file_get_contents($file_b);
		if (!$content_a || !$content_b) {
			return false;
		}
		if ($content_a === $content_b) {
			return true;
		}
		$content_a = preg_replace("/\r\n|\r|\n/", "\n", $content_a);//файлы с винды
		$content_b = preg_replace("/\r\n|\r|\n/", "\n", $content_b);//файлы с винды
		if ($content_a === $content_b) {
			return true;
		}
		return false;
	}

	public static function updateDbVer() {
		//////////////////////////////////////////////// для апгрейда и деградации редакций ////////////////////////////////////////////////

		//////////////////////////////////////////////// для апгрейда и деградации редакций конец ////////////////////////////////////////////////////////////////
		// сохранение версии обновления
		if (self::$versionFromDb != self::$lastVersion) {
			MG::setOption('lastModVersionConfig', self::$lastVersion);
		}
	}
}
DatoBaseUpdater::getVer();
// для обновления базы при входе в админку
MG::setOption('maxDbVersion', 1);

if (DatoBaseUpdater::check("9.8.0")) {
	
}

	
;

DatoBaseUpdater::updateDbVer();//должно быть в самом конце
